Subject: RE: [GEOPRIV] draft-winterbottom-location-uri-01

From: "Winterbottom, James" <[email-masked]>
Date: Thu, 23 Mar 2006 10:14:24 -0600

Marc,

Unless I am extremely confused, saying I have a reference to a piece of
information is the same as saying that I can obtain it indirectly.
Perhaps you have misunderstood in the location by-value model what
aspect of the location server role the target assumes. We will make this
more explicit in the next revision of this document.

General Question: Two clear problems with your argument here, one the
model you are prescribing is broken, and secondly the same problem
exists if I have sent by-value out to everyone.

In light of the above misunderstandings I am not sure of the relevance
of your remaining questions.  

Cheers
James

> -----Original Message-----
> From: Marc Linsner [mailto:[email-masked]]
> Sent: Thursday, 23 March 2006 4:05 PM
> To: Winterbottom, James; [email-masked]
> Subject: RE: [GEOPRIV] draft-winterbottom-location-uri-01
> 
> I believe the document name is confusing.  Location by reference
doesn't
> appear to be the objective of the proposal, but more of location
> conveyance
> using indirection.  Since one might address a target via a SIP:URI,
hence
> requesting LI from the target directly could also be termed "location
by
> reference".   The resolution of the reference in either case would
then be
> location-by-value.
> 
> General Questions:
> 
> (1) Assuming this is implemented as described (by the L2/L3 provider),
> please explain what happens when a target changes L2/L3 providers in a
> short
> period of time.  For example: I connect my 802.11 client at Starbucks
and
> advise various LRs of the Starbucks operated LS, then I decide to walk
> down
> the street and join the Borders 802.11 network, I would then have to
> revisit
> all the LRs to advise them of the Borders LS?  This seems inefficient
when
> compared to the target passing location-by-value directly.   If the LR
> contacts the target directly, the LR would get the correct data vs.
> contacting the Starbucks LS, initiating a Starbucks LG to only find
the
> client is missing.
> 
> Questions related to specific cited sections:
> 
> Section(s) 3., 3.1, and 3.2
> 
> (2) Why are these same attributes not available when the LR requests
LI
> from
> the target directly?
> 
> Section 4
> 
> (3) Please explain why the LR has more control over when location is
> generated when requesting LI from the LS verses requesting LI from the
> target directly.
> 
> Section 5.2
> 
> (4) Please explain the assertion that the LG must ensure that it
provides
> new LI to the target every time it moves.  Can't the target request
new LI
> from the LG when it deems necessary?
> 
> Section 5.3
> 
> (5) Please explain why LI is more current when the LR requests it from
the
> LS verses requesting it from the target.  Both LS and target would be
> capable of requesting LI from the LG, so why is it asserted that LS is
> more
> capable of this request than the target?
> 
> Section 6.1
> 
> (6) This substantiation applies not in the Internet, but a regulated
model
> where the number of providers is limited.  Since any quantity of L2/L3
> Internet access providers can exist in any given jurisdiction,
quantity of
> trust relationships is unknown.
> 
> 
> Thanks,
> 
> -Marc Linsner-
> 
> 
> 
> 

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Marc Linsner" <[email-masked]>
Date: Thu, 23 Mar 2006 11:51:39 -0500

In-line....

> 
> Unless I am extremely confused, saying I have a reference to 
> a piece of information is the same as saying that I can 
> obtain it indirectly.

I believe I am suggesting a new document name.  I was attempting to point
out that "location-uri" applies to both location-by-value and
location-by-reference/indirection as coarsely defined over time within the
GeoPriv context.

> Perhaps you have misunderstood in the location by-value model 
> what aspect of the location server role the target assumes. 
> We will make this more explicit in the next revision of this document.

I realize that in RFC3693 language, the target and LS would be inside the
same device in your definition of location-by-value.  I will refer to this
device as target/LS from this point forward.

> 
> General Question: Two clear problems with your argument here, 
> one the model you are prescribing is broken, and secondly the 
> same problem exists if I have sent by-value out to everyone.

1) Please humor me, explain why the use case I describe is broken.

2) No, in your context of mobile hosts, I believe that all LRs must accept
that location-by-value implies a moment in time.  Your are implying that
location-by-reference/indirection solves this problem.  My point is that in
your model, since the LS is disconnected from the target AND the LS is
strictly tied to the moment-in-time access network, changing access networks
causes a large problem wrt the LR being able to request a new
location-by-value.  In the case where the LR requests location-by-value
directly from the target/LS, since the target/LS identity did not change
when the underlying access network changed, the LR would still use the same
URI to contact the target/LS for location-by-value.  I believe that you are
missing this fundamental aspect of the Internet architecture - the access
network is insignificant to Internet applications.

> 
> In light of the above misunderstandings I am not sure of the 
> relevance of your remaining questions. 

I would request that you take second look at my remaining concerns.

-Marc-
 
> > conveyance using indirection.  Since one might address a 
> target via a 
> > SIP:URI,
> hence
> > short period of time.  For example: I connect my 802.11 client at 
> > Starbucks
> and
> > down the street and join the Borders 802.11 network, I 
> would then have 
> > to revisit all the LRs to advise them of the Borders LS?  
> This seems 
> > inefficient
> when
> > more capable of this request than the target?
> > 
> > Section 6.1
> >